pointset_option.h
Go to the documentation of this file.
#ifndef _RHEOLEF_POINTSET_OPTION_H
#define _RHEOLEF_POINTSET_OPTION_H
/*Class:pointset_option
NAME: @code{poinset_option} - options for a set of points in the reference element
@clindex pointset_option
@clindex pointset
@cindex reference element
@clindex reference_element
SYNOPSIS:
@noindent
The @code{pointset_option} class defines options for
a set of points in the reference element.
See @ref{reference_element iclass} and @ref{pointset iclass}.
OPTIONS:
@table @code
@item interior
The optional argument interior specifies how many points from
the boundary to omit.
For example, on an edge reference element with @code{n=2} and @code{interior=0},
this function will return the vertices and midpoint,
but with @code{interior=1}, it will only return the midpoint.
@end table
AUTHOR: Pierre.Saramito@imag.fr
DATE: 7 may 2019
End:
*/
#include "rheolef/reference_element.h"
namespace rheolef {
//<verbatim:
struct pointset_option {
size_t interior; // how many points from the boundary to omit
pointset_option() :
interior()
{}
};
//>verbatim:
}// namespace rheolef
#endif // _RHEOLEF_POINTSET_OPTION_H
rheolef::pointset_option
Definition: pointset_option.h:53
rheolef
This file is part of Rheolef.
Definition: compiler_eigen.h:37
rheolef::pointset_option::interior
size_t interior
Definition: pointset_option.h:54
rheolef::pointset_option::pointset_option
pointset_option()
Definition: pointset_option.h:55